## org.apache.batik.ext.awt.image.renderable
Interface ColorMatrixRable

All Superinterfaces:
  Filter, FilterColorInterpolation, java.awt.image.renderable.RenderableImage

All Known Implementing Classes:
  ColorMatrixRable8Bit

public interface ColorMatrixRable
extends FilterColorInterpolation

Defines the interface expected from a color matrix operation

Field Summary
`static int` `TYPE_HUE_ROTATE`
`static int` `TYPE_LUMINANCE_TO_ALPHA`
`static int` `TYPE_MATRIX` Identifier used to refer to predefined matrices
`static int` `TYPE_SATURATE`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`float[][]` `getMatrix()` Returns the rows of the color matrix.
`Filter` `getSource()` Returns the source to be offset.
`int` `getType()` Returns the type of this color matrix.
`void` `setSource(Filter src)` Sets the source to be offset.

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Field Detail

### TYPE_MATRIX

    public static final int TYPE_MATRIX

  Identifier used to refer to predefined matrices

  See Also:
    Constant Field Values

### TYPE_SATURATE

    public static final int TYPE_SATURATE

See Also:
  Constant Field Values

### TYPE_HUE_ROTATE

    public static final int TYPE_HUE_ROTATE

See Also:
  Constant Field Values

### TYPE_LUMINANCE_TO_ALPHA

    public static final int TYPE_LUMINANCE_TO_ALPHA

See Also:
  Constant Field Values

Method Detail

### getSource

    public Filter getSource()

  Returns the source to be offset.

### setSource

    public void setSource(Filter src)

  Sets the source to be offset.

  Parameters:
    `src` - image to offset.

### getType

    public int getType()

  Returns the type of this color matrix.

  Returns:
    one of TYPE_MATRIX, TYPE_SATURATE, TYPE_HUE_ROTATE, TYPE_LUMINANCE_TO_ALPHA

### getMatrix

    public float[][] getMatrix()

  Returns the rows of the color matrix. This uses the same convention as BandCombineOp.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.